読者です 読者をやめる 読者になる 読者になる

めも帖

「めも帖」代わりにダラダラと書いていったり、めもしたりしているだけです。

capybara-webkitが入らない

状況

  • Rails 3.2 系でGemfileにcapybara-webkit が載っていた
  • bundle install でエラーに..

実行環境

参考

capybara-webkit のオフィシャルで確認

  • 下記のよう感じでインストールしろ、と書いてある
  • そしてエラーになる
$ sudo su -
# rpm -i http://dl.atrpms.net/el6-x86_64/atrpms/stable/atrpms-repo-6-5.el6.x86_64.rpm
# yum install --enablerepo=atrpms-testing qt47-webkit-devel

yum でのインストール状況を確認

# yum list qt-devel
# yum list qt-x11
# yum list qtwebkit-devel

一度、アンインストール

# sudo yum erase qt-devel
# sudo yum erase qt-x11
# sudo yum erase qtwebkit-devel

再度、インストール

$ sudo su -
# rpm -i http://dl.atrpms.net/el6-x86_64/atrpms/stable/atrpms-repo-6-5.el6.x86_64.rpm
# yum install --enablerepo=atrpms-testing qt47-webkit-devel

環境変数の設定

$ export QMAKE=/usr/bin/qmake-qt47